Package org.gradle.plugins.ide.eclipse.model

## Class AccessRule

- java.lang.Object
- - org.gradle.plugins.ide.eclipse.model.AccessRule

-     public class AccessRule
      extends java.lang.Object

  Access rule associated to a classpath entry.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AccessRule​(java.lang.String kind, java.lang.String pattern)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `java.lang.String` | `getKind()` |
    `java.lang.String` | `getPattern()` |
    `int` | `hashCode()` |
    `void` | `setKind​(java.lang.String kind)` |
    `void` | `setPattern​(java.lang.String pattern)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AccessRule

          public AccessRule​(java.lang.String kind,
                            java.lang.String pattern)

  - ### Method Detail

    - #### getKind

          public java.lang.String getKind()

    - #### setKind

          public void setKind​(java.lang.String kind)

    - #### getPattern

          public java.lang.String getPattern()

    - #### setPattern

          public void setPattern​(java.lang.String pattern)

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`